Subject: bug#9723: 24.0.50; Emacs Clipboard crash

From: Joseph Jones <[email-masked]>
Date: Mon, 17 Oct 2011 10:07:16 -0700

I have the GDB session running right now if you need more info. Note that I was entering in a dir name using ido-mode when this happened. The dir name was supposed to be fooMap but instead was foo< (bad typist).

Here is the backtrace of the threads:

(gdb) i threads
  52 Thread 13724.0x2f34  0x7d61c876 in ?? ()
  4 Thread 13724.0xda4  0x7d61c846 in ?? ()
* 3 Thread 13724.0x20f8  0x7d65b878 in ?? ()
  1 Thread 13724.0x16f8  0x7d94c888 in USER32!DrawFrame () from C:\WINDOWS\syswow64\user32.dll
(gdb)  bt
#0  0x7d65b878 in ?? ()
#1  0x77bc641c in msvcrt!_global_unwind2 () from C:\WINDOWS\syswow64\msvcrt.dll
#2  0x77bc7e30 in msvcrt!longjmp () from C:\WINDOWS\syswow64\msvcrt.dll
#3  0x0082ffe0 in ?? ()
Backtrace stopped: previous frame inner to this frame (corrupt stack?)
(gdb) thread 52
[Switching to thread 52 (Thread 13724.0x2f34)]#0  0x7d61c876 in ?? ()
(gdb) bt
#0  0x7d61c876 in ?? ()
#1  0x77bc084a in putch () from C:\WINDOWS\syswow64\msvcrt.dll
#2  0x00000218 in ?? ()
#3  0x016235a4 in child_procs ()
#4  0x00000001 in ?? ()
#5  0x6cbcfee0 in ?? ()
#6  0x77bc0a0d in read () from C:\WINDOWS\syswow64\msvcrt.dll
#7  0x00000004 in ?? ()
#8  0x016235a4 in child_procs ()
#9  0x00000001 in ?? ()
#10 0x00000000 in ?? ()
(gdb) thread 4
[Switching to thread 4 (Thread 13724.0xda4)]#0  0x7d61c846 in ?? ()
(gdb) bt
#0  0x7d61c846 in ?? ()
#1  0x7d4d8c0d in RegisterWaitForInputIdle () from C:\WINDOWS\syswow64\kernel32.dll
#2  0x00000220 in ?? ()
#3  0xffffffff in ?? ()
#4  0x00000000 in ?? ()
(gdb) thread 1
[Switching to thread 1 (Thread 13724.0x16f8)]#0  0x7d94c888 in USER32!DrawFrame () from C:\WINDOWS\syswow64\user32.dll
(gdb) bt
#0  0x7d94c888 in USER32!DrawFrame () from C:\WINDOWS\syswow64\user32.dll
#1  0x7dbf6fd7 in ImageList_Duplicate ()
   from C:\WINDOWS\WinSxS\WOW64_Microsoft.Windows.Common-Controls_6595b64144ccf1df_6.0.3790.4770_x-ww_8D2E3180\comctl32.dll
#2  0x7dbf71bf in ImageList_Duplicate ()
   from C:\WINDOWS\WinSxS\WOW64_Microsoft.Windows.Common-Controls_6595b64144ccf1df_6.0.3790.4770_x-ww_8D2E3180\comctl32.dll
#3  0x7dbf7374 in ImageList_Duplicate ()
   from C:\WINDOWS\WinSxS\WOW64_Microsoft.Windows.Common-Controls_6595b64144ccf1df_6.0.3790.4770_x-ww_8D2E3180\comctl32.dll
#4  0x7dbf7d35 in ImageList_Duplicate ()
   from C:\WINDOWS\WinSxS\WOW64_Microsoft.Windows.Common-Controls_6595b64144ccf1df_6.0.3790.4770_x-ww_8D2E3180\comctl32.dll
#5  0x7d9472d8 in USER32!DefDlgProcW () from C:\WINDOWS\syswow64\user32.dll
#6  0x008f0588 in ?? ()
#7  0x00000001 in ?? ()
#8  0x00000000 in ?? ()
(gdb)

-----Original Message-----
From: Eli Zaretskii [mailto:[email-masked]] 
Sent: Friday, October 14, 2011 2:32 PM
To: Joseph Jones
Cc: [email-masked]
Subject: Re: bug#9723: 24.0.50; Emacs Clipboard crash

> From: Joseph Jones <[email-masked]>
> CC: "[email-masked]" <[email-masked]>
> Date: Fri, 14 Oct 2011 12:33:26 -0700
> 
> Here is what I get, and it looks like it is definitely happening during C-x C-f for a file that doesn't already exist:

Do you still have this crashed session in GDB?  If you do, I'd like
you to display values of some variables.

Also, what does "info threads" display?  If there's more than one
thread (usually, there are), please show "bt" from the other threads
as well, like this:

 (gdb) thread 2
 (gdb) bt
 (gdb) thread 3
 (gdb) bt

etc., for every thread number that's listed in "info threads", except
the one marked with an asterisk (which is the current thread, the one
whose backtrace you posted).

Thanks.